Status: Closed Start date: 2008-04-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed   

Description

This will allow to create reports sorted by custom fields, which will be very helpfull. For example, we have custom field of issue with

name "Billable" which we're using in all procets. When invoicing, we sort all isues by billable and not billable and ve invoice only for

billable issues.

Associated revisions

Revision 1340 - 2008-04-09 19:45 - Jean-Philippe Lang

Custom fields (list and boolean) can be used as criteria in time report (#1012).

History

#1 - 2008-04-08 13:24 - Paolo Sulprizio

If you mean that it should be useful to sort by custom fields queries results, look at r901 and #477.

#2 - 2008-04-08 13:40 - Paolo Sulprizio

I'm sorry... from r901 is possible to reorder custom fields, not to sort them... I think that it would very useful too!

+1

#3 - 2008-04-08 23:44 - Jean-Philippe Lang

It's already possible to use custom fields in issue list.

Maxim, could you confirm that your request is about:

being able to use custom fields in time reports

or

being able to sort the issue list by custom fields

#4 - 2008-04-09 10:37 - Maxim Krušina

It's this: being able to use custom fields in time reports

So I need to use my custom Field "Billable" in report (/timelog/report).

We need this for invoicing, so tickets will be sorted also by this custom field.

So if it is possible to include custom fields in Add filer, it should solve the problem.

#5 - 2008-04-09 19:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

- Resolution set to Fixed

Done in r1340.

Note that only list and boolean custom fields can be used. I don't think it make sens to use the other kinds of fields (eg. string, integer...) as criteria in

the time report since there can be many different values. Reopen if needed.

Paolo Freuli: being able to sort the issue list by custom fields is not the original request. Feel free to report a new one.

#6 - 2008-04-10 17:07 - Maxim Krušina

Excellent! ;)
